Subject: bug#75682: ls -l sometimes shows a year in place of the hour and minute

From: Paul Eggert <[email-masked]>
Date: Sun, 19 Jan 2025 21:17:43 -0800

On 2025-01-19 17:01, Kasia via GNU coreutils Bug Reports wrote:
> Do you know what might be causing this if it's my system instead of coreutils' ls?

It means the file's timestamp is in the future. This can happen if your 
file system's clock is a bit ahead of your kernel's clock. This is not 
uncommon in network file systems.

Of course this sort of thing can lead to problems with programs like 
'make', which rely on file timestamps. You can think of 'ls' as the 
canary in your mineshaft.